# ListProjects Method

## Description

Retrieves the list of projects.

## HTTP Request

`GET https://api.skeddly.com/api/Projects`

## Query Parameters

The following query parameters are accepted.

### filter.status

A comma-separated list of statuses.

Type: `string`

Value Values:

* `active`
* `archived`

Required: No

## Returns

Array of [Project](/data-types/project-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/Projects HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/Projects"
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
  {
    "projectId": "proj-12345678",
    "name": "Customer 1",
    "status": "active",
    
    "isDefault": false,
    
    "createdDate": "2019-05-05T12:00:00:Z",
    "lastModifiedDate": "2020-01-21T14:00:00:Z",
    "lastModifiedBy": "u-12345678"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/projects/listprojects-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
